import * as $dara from '@darabonba/typescript';
import { DescribeAllImageBaselineResponseBody } from "./DescribeAllImageBaselineResponseBody";
export declare class DescribeAllImageBaselineResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DescribeAllImageBaselineResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
